/*
    Ishtar - A network transparent read/write interface with
    probing and enumeration support.
    network part : convenient cross-platform packaging for tcp/ip networking
    Copyright (C) 2003-2005 Stephane Magnenat <nct@ysagoon.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "filestream.h"

/*!	\file filestream.cpp
	\brief Implementation of file stream backed
*/

namespace Ishtar
{
	FileOutputStream::FileOutputStream(const std::string &filename, std::ios_base::openmode mode)
	:stream(filename.c_str(), mode | std::ios_base::binary) 
	{
	
	}
	
	FileOutputStream::~FileOutputStream()
	{
	
	}
	
	void FileOutputStream::write(const void *data, const Size size)
	{
		stream.write(static_cast<const char *>(data), size);
	}
	
	void FileOutputStream::flush(void)
	{
		stream.flush();
	}
	
	
	FileInputStream::FileInputStream(const std::string &filename, std::ios_base::openmode mode)
	:stream(filename.c_str(), mode | std::ios_base::binary) 
	{
	
	}
	
	FileInputStream::~FileInputStream()
	{
	
	}
	
	void FileInputStream::read(void *data, Size size)
	{
		stream.read(static_cast<char *>(data), size);
	}
}
