/*
    Ishtar - A network transparent read/write interface with
    probing and enumeration support.
    network part : convenient cross-platform packaging for tcp/ip networking
    Copyright (C) 2003-2005 Stephane Magnenat <nct@ysagoon.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


/*!	\file stream.cpp
	\brief Implementation of stream support code
*/

#include "stream.h"

namespace Ishtar
{
	EndianDiscoverer::EndianDiscoverer()
	{
		// test for big/little endian
		short int word = 0x0001;
		char *byte = (char *) &word;
		isLittleEndian = (byte[0] != 0);
		
		// test for inverted double
		isInvertedDouble = false;
		if (isLittleEndian)
		{
			double d = 1.0;
			byte = (char *) &d;
			if (byte[3] != 0)
				isInvertedDouble = true;
		}
	}
	
	EndianDiscoverer endianDiscoverer;
}
